Subject: osmo-pcu.git branch sysmocom/pdch-cleanup updated. 0.2-317-g5ca0182
From: [email-masked]
To: [email-masked]
Date: Wed, 4 Jun 2014 12:55:57 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "UNNAMED PROJECT".

The branch, sysmocom/pdch-cleanup has been updated
  discards  b1282689f214da4276d9ebdcd96218baddddb161 (commit)
  discards  fa7a607c0930eb3bd0197de3add1d85840439d3f (commit)
       via  5ca01827caed51b54def2b7396c01e4a7737486c (commit)
       via  c96190177bfbb6094d4d0b27f7a3fe53f4070c9f (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (b1282689f214da4276d9ebdcd96218baddddb161)
            \
             N -- N -- N (5ca01827caed51b54def2b7396c01e4a7737486c)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/osmo-pcu/commit/?id=5ca01827caed51b54def2b7396c01e4a7737486c

commit 5ca01827caed51b54def2b7396c01e4a7737486c
Author: Daniel Willmann <[email-masked]>
Date:   Fri May 30 20:21:30 2014 +0200

    gprs_rlcmac_pdch: Get rid of ul/dl_tbf
    
    The current code keeps a reference to all tbfs in the bts and another
    reference in the pdch. This allows for the possibility of both lists to
    go out of sync.
    
    This patch removes the pdch-specific list of ul and dl tbfs and uses the
    lists in the bts to lookup tbfs everywhere.

http://cgit.osmocom.org/osmo-pcu/commit/?id=c96190177bfbb6094d4d0b27f7a3fe53f4070c9f

commit c96190177bfbb6094d4d0b27f7a3fe53f4070c9f
Author: Daniel Willmann <[email-masked]>
Date:   Fri May 30 19:48:43 2014 +0200

    gprs_rlcmac_pdch: Don't access private member structs
    
    This patch introduces methods to get ul and dl tbf by tfi and uses them
    in gprs_rlcmac_sched.

-----------------------------------------------------------------------

Summary of changes:

hooks/post-receive
-- 
UNNAMED PROJECT